Name:           pasystray
Version:        0.5.2
Release:        1%{?dist}
Summary:        PulseAudio System Tray
License:        LGPLv2+
URL:            https://github.com/christophgysin/%{name}
Source0:        https://github.com/christophgysin/%{name}/archive/%{version}.tar.gz
Patch0:         pasystray-0.5.2-fix-desktopfile.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libpulse) >= 1.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 1.0
BuildRequires:  pkgconfig(avahi-client) >= 0.6
BuildRequires:  pkgconfig(avahi-glib) >= 0.6
BuildRequires:  pkgconfig(libnotify) >= 0.7.1
BuildRequires:  pkgconfig(x11) >= 1.4
BuildRequires:  pkgconfig(appindicator3-0.1)


%description
A replacement for the deprecated padevchooser

Pasystray allows setting the default PulseAudio source/sink and moving
streams on the fly between sources/sinks without restarting the client
applications.


%prep
%autosetup -p1
autoreconf -vif


%build
%configure
make %{?_smp_mflags}


%install
%make_install
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Tue May  3 2016 Thomas Moschny <thomas.moschny@gmx.de> - 0.5.2-1
- Initial package.
